summaryrefslogtreecommitdiffstats
path: root/package/ez-ipupdate/files
diff options
context:
space:
mode:
Diffstat (limited to 'package/ez-ipupdate/files')
-rw-r--r--package/ez-ipupdate/files/ez-ipupdate.conf8
-rw-r--r--package/ez-ipupdate/files/ez-ipupdate.hotplug1
-rw-r--r--package/ez-ipupdate/files/ez-ipupdate.init22
3 files changed, 31 insertions, 0 deletions
diff --git a/package/ez-ipupdate/files/ez-ipupdate.conf b/package/ez-ipupdate/files/ez-ipupdate.conf
new file mode 100644
index 000000000..ac2d2ce7d
--- /dev/null
+++ b/package/ez-ipupdate/files/ez-ipupdate.conf
@@ -0,0 +1,8 @@
+service-type=zoneedit
+user=myname:mypassword
+interface=WAN_IFNAME
+host=mydomain.com
+
+# Do not change the lines below
+cache-file=/tmp/ez-ipup
+pid-file=/var/run/ez-ipupdate.pid
diff --git a/package/ez-ipupdate/files/ez-ipupdate.hotplug b/package/ez-ipupdate/files/ez-ipupdate.hotplug
new file mode 100644
index 000000000..3f27c140a
--- /dev/null
+++ b/package/ez-ipupdate/files/ez-ipupdate.hotplug
@@ -0,0 +1 @@
+[ "$ACTION" = "ifup" -a "$INTERFACE" = "wan" ] && /usr/sbin/ez-ipupdate -c /etc/ez-ipupdate.conf &
diff --git a/package/ez-ipupdate/files/ez-ipupdate.init b/package/ez-ipupdate/files/ez-ipupdate.init
new file mode 100644
index 000000000..157217561
--- /dev/null
+++ b/package/ez-ipupdate/files/ez-ipupdate.init
@@ -0,0 +1,22 @@
+#!/bin/sh
+
+BIN=ez-ipupdate
+CONF=/etc/$BIN.conf
+RUN_D=/var/run
+PID_F=$RUN_D/$BIN.pid
+[ -f $CONF ] || exit
+
+case $1 in
+ start)
+ mkdir -p $RUN_D
+ $BIN -c $CONF
+ ;;
+ stop)
+ [ -f $PID_F ] && kill $(cat $PID_F)
+ ;;
+ *)
+ echo "usage: $0 (start|stop)"
+ exit 1
+esac
+
+exit $?